# ProbStatipy
---

## Intro
I was learning about modules in Python and what better way to learn than to do.
StatsPro is a package of Python modules equipped with functions that are used in Statistics.
I am aware that such a package already exists by the name [Statistics](https://docs.python.org/3/library/statistics.html) and I'm doing this entirely for learning purposes.

While the functions are extensively documented, you can check out my Jupyter Notebooks in the [Numerical Summary repo](https://github.com/0gregory0/Numerical-Summary) to fully understand my thought process while coming up with these functions.

To understand how modules work, check out the [understanding_modules](https://github.com/0gregory0/pystats/blob/main/understanding_modules.ipynb) Notebook (which is still a work in progress, just like this repo).

---

## Contents
Familiarize yourself with the contents to understand how to navigate this repo.

The two most important files in this repository are:
1. [pystats_central.py](https://github.com/0gregory0/pystats/blob/main/pystats_central.py): Contains functions to measure central tendency such as Mean, Median and Mode.
2. [pystats_spread.py](https://github.com/0gregory0/pystats/blob/main/pystats_spread.py): Contains functions to measure dispersion/spread such as Variance (Mean Squared Deviation), Standard Deviation and Mean Absolute Deviation (MAD).

Other than these two files, this repo has a couple of more files:
- The [README.md](https://github.com/0gregory0/pystats/blob/main/README.md) file is the one you are currently reading. It contains useful information about this repo and instructions on how to interact with it.
- The [.gitignore](https://github.com/0gregory0/pystats/blob/main/.gitignore) file is where I defined to git (and GitHub) the files on my local machine to ignore.
- [understanding_modules.ipynb](https://github.com/0gregory0/pystats/blob/main/understanding_modules.ipynb) is a Jupyter Notebook where I explain how Python modules work (according to my lay understanding).

---

## Dependencies

| Module | Statistics Topic | Dependencies |
| --- | --- | --- | 
| pystats_central | Central Tendancy | - |     
| pystats_spread | Spread / Dispersion | [math](https://docs.python.org/3/library/math.html) |     

